ServerEvents.recipes(event => {
    // Usuwanie starych przepisów
    [
        'legendarysurvivaloverhaul:heart_container',
        `legendarysurvivaloverhaul:sewing_table`,
        `legendarysurvivaloverhaul:heater`,
        `legendarysurvivaloverhaul:cooler`,
        `legendarysurvivaloverhaul:sponge`,
        `legendarysurvivaloverhaul:seasonal_calendar`,
        `legendarysurvivaloverhaul:thermometer`,
        
    ].forEach(recipe => event.remove({id: recipe}));


    // Przepis na fragment serca
    event.shaped('legendarysurvivaloverhaul:heart_fragment', [
        'VGV',
        'VHV',
        'VVV'
    ], {
        V: 'minecraft:air',
        G: 'minecraft:golden_apple',
        H: 'butcher:heart'
    });


    // Przepis na serca
    event.shaped('legendarysurvivaloverhaul:heart_container', [
        'VVV',
        'GHG',
        'VGV'
    ], {
        V: 'minecraft:air',
        G: 'legendarysurvivaloverhaul:heart_fragment',
        H: 'butcher:heart'
    });


    // Wełna na sznurek
    event.shapeless('4x minecraft:string', ['#minecraft:wool'])


    // Goat fur
    event.shapeless('1x cold_sweat:goat_fur', [`#minecraft:wool`,`minecraft:leather`,`butcher:sheep_skin`])
    // Hoglin hide
    event.shapeless('1x cold_sweat:hoglin_hide', [`butcher:pig_skin`,`minecraft:leather`,`minecraft:porkchop`])


    // 1 butelka z wodą → 1 purified water bottle na ognisku
    event.campfireCooking('legendarysurvivaloverhaul:purified_water_bottle', 'minecraft:potion')
        .xp(0.1)           // opcjonalnie: ile XP za przepalanie
        .cookingTime(600)  // opcjonalnie: czas w tickach (600 = 30 sekund)
        .id('kubejs:purified_water_on_campfire');
        

        event.shaped('minecraft:blaze_powder', [
            'GGG',
            'GPG',
            'GGG'
        ], {
            G: 'minecraft:gold_nugget',
            P: 'minecraft:gunpowder'
        }).id('kubejs:golden_blaze_powder');


        event.shaped('minecraft:blaze_rod', [
            'GGG',
            'GLG',
            'GGG'
        ], {
            G: 'minecraft:gold_nugget',
            L: 'minecraft:lightning_rod'
        }).id('kubejs:golden_blaze_rod');      


});